Bug 75912 - piranha-gui short tags break with errata php
Summary: piranha-gui short tags break with errata php
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: piranha   
(Show other bugs)
Version: 2.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Mike McLean
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
: 90318 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-14 21:26 UTC by Mike McLean
Modified: 2007-11-30 22:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-13 17:31:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2003:178 normal SHIPPED_LIVE Fixed piranha-gui to work with recent php errata 2003-05-13 04:00:00 UTC

Description Mike McLean 2002-10-14 21:26:10 UTC
* 2.1AS
* piranha-0.7.0-3.i386.rpm

Although the default php config shipped with 2.1AS allowed short tags, the
latest errata release does not. 

Workarounds:

1 - edit all the php files in the package
for f in *.php3; do mv $f $f.bak; sed -e 's/<?/&php/g' <$f.bak >$f; done

2 - edit /etc/php.ini to allow short tags

Comment 1 Mike McLean 2002-10-15 19:34:14 UTC
To clarify: this bug makes piranha-gui completely unusable.  Php ignores the
short tags and passes them straight through.  Many of them appear literally in
the page. 

Of course, there is always the third workaround: edit /etc/sysconfig/ha/lvs.cf
manually.

Comment 2 Mike McLean 2002-10-15 19:37:31 UTC
piranha-0.7.0-4 fixes this problem by converting the short tags to long tags.

Comment 7 Mike McLean 2003-05-13 17:31:43 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2003-178.html



Note You need to log in before you can comment on or make changes to this bug.